=== debian/changelog ===
breeze-icons (4:5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix watch file.
  * New upstream release (5.116.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Apr 2025 01:49:36 +0200

breeze-icons (4:5.115.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:28:19 +0200

breeze-icons (4:5.115.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Turn package into a transitional dummy package to force the upgrade
    to the KF6 version.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Jul 2024 18:18:04 +0200

breeze-icons (4:5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:11:03 +0200

breeze-icons (4:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 12:47:15 +0100
