=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/(5.[\d.]+)/breeze-icons-([\d.]+)\.tar\.xz
