=== debian/control ===
Source: breeze-icons
Section: oldlibs
Priority: optional
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/frameworks/breeze-icons
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/breeze-icons.git
Vcs-Browser: https://invent.kde.org/neon/kde/breeze-icons
Maintainer: Neon CI <neon@kde.org>

Package: breeze-icon-theme
Architecture: all
Multi-Arch: foreign
Depends: kf6-breeze-icon-theme, ${misc:Depends}
Description: Default Plasma icon theme - transitional dummy package
 Empty transitional dummy package to upgrade to the KF6 version.

Package: breeze-icon-theme-rcc
Architecture: all
Multi-Arch: foreign
Depends: kf6-breeze-icon-theme-rcc, ${misc:Depends}
Description: RCC resources for the breeze icon theme - transitional dummy package
 Empty transitional dummy package to upgrade to the KF6 version.
