## breeze-icons 5.116.0+p24.04+vstable+git20250916.2321

=== debian/changelog ===
breeze-icons (4:5.116.0+p24.04+vstable+git20250916.2321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 23:21:15 +0000
